Package org.eclipse.jdt.ui.text.folding

# Interface IJavaFoldingStructureProviderExtension

All Known Implementing Classes:
  `DefaultJavaFoldingStructureProvider`

public interface IJavaFoldingStructureProviderExtension
Extends `IJavaFoldingStructureProvider` with the following functions:

- collapsing of comments and members
- expanding and collapsing of certain java elements

Since:
  3.2

## Method Summary

Modifier and Type
Method
Description
`void`
`collapseComments()`
Collapses all comments.
`void`
`collapseElements(IJavaElement[] elements)`
Collapses the given elements.
`void`
`collapseMembers()`
Collapses all members except for top level types.
`void`
`expandElements(IJavaElement[] elements)`
Expands the given elements.

## Method Details

### collapseMembers

void collapseMembers()
Collapses all members except for top level types.

### collapseComments

void collapseComments()
Collapses all comments.

### collapseElements

void collapseElements(IJavaElement[] elements)
Collapses the given elements.

Parameters:
  `elements` - the java elements to collapse (the array and its elements must not be modified)

### expandElements

void expandElements(IJavaElement[] elements)
Expands the given elements.

Parameters:
  `elements` - the java elements to expand (the array and its elements must not be modified)